RDS-DESCRIBE-DB-ENGINE-VERSIONS(1)

NAME
rds-describe-db-engine-versions - List the available database engine versions.

SYNOPSIS

 rds-describe-db-engine-versions
    [--db-parameter-group-family value ] [--default-only ] [--engine value
    ] [--engine-version value ] [--list-supported-character-sets ]
    [--marker value ] [--max-records value ] [General Options]

DESCRIPTION

    Returns information about the available database engine versions. If one or
 more of the --engine, --version, or --db-parameter-group-family arguments
 are specified, rds-describe-db-versions will return only those version
 records with the specified values for the specified fields. If all arguments
 are omitted, all records will be returned, up to a maximum of --max-records.

SPECIFIC OPTIONS

 -cs, --list-supported-character-sets
    If specified, the response will include a list of character sets
    supported by each engine. The default value is 'false'.

 -d, --default-only
    Return only the default version for the other specified parameters.

 -e, --engine VALUE
    The name of the database engine.

 -f, --db-parameter-group-family VALUE
    The parameter group family to which the version belongs.

 -v, --engine-version VALUE
    The database engine version string.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 To describe all available versions for all available database engines:

 $PROMPT>rds-describe-db-engine-versions

 To describe all available versions of the MySQL database engine:

 $PROMPT>rds-describe-db-engine-versions --engine mysql

 To describe version 5.1.42 of the MySQL database engine:

 $PROMPT>rds-describe-db-engine-versions -e mysql -v 5.1.42

 To describe all versions in the mysql5.1 parameter group family:

 $PROMPT>rds-describe-db-engine-versions -f mysql5.1

 To see only the default version of MySQL:

 $PROMPT>rds-describe-db-engine-versions -e mysql -d

 To see only the default minor version of MySQL 5.1:

 $PROMPT>rds-describe-db-engine-versions -e mysql -v 5.1 -d

 To see the list of character sets supported by Oracle SE 11.2.0.2.v3:

 $PROMPT> rds-describe-db-engine-versions -e oracle-se -v 11.2.0.2.v3 --list-supported-character-sets

OUTPUT

 This command returns a table that contains the following:
 * Engine - Name of the database engine.
 * Version - Database engine version number.
 * Parameter Group Family - The version's parameter group family. Only
 parameter groups with the same parameter group family may be applied to DB
 instances running this version.
 * Engine Description - Description of the Engine.
 * Engine Version Description - Description of the Engine Version.
 * Default Character Set - If present, the default character set used when
 creating new database instances with this engine version.
 * Name - The name of the character set.
 * Description - The description of the character set.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference